Docs Rizler

V2 Phone Numbers

V2 Update Number Pool

PATCHhttps://app.rizzdial.com/api/ai/agent/v2/manage/advanced/phone-numbers/pool/{agent_id}
V2 Update Number Pool
curl --request PATCH \
  --url https://app.rizzdial.com/api/ai/agent/v2/manage/advanced/phone-numbers/pool/agent_123 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "number_ids": [],
  "number_ids.*": "value"
}'
{
  "data": {
    "agent_id": "agent_123"
  },
  "message": "Saved",
  "success": true
}

V2 Update Number Pool#

Replace this V2 agent's number pool. Same as Save on the Number Pool modal.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

agent_idstringpathrequired

Public agent id from List Agents

number_idsarraybody

Request field

number_ids.*stringbody

may be null

curl --request PATCH \
  --url https://app.rizzdial.com/api/ai/agent/v2/manage/advanced/phone-numbers/pool/agent_123 \
  --header 'Authorization: Bearer {{bearer_token}}' \
  --header 'Content-Type: application/json' \
  --data '{"number_ids":[],"number_ids.*":"value"}'
successboolean

true when the call succeeds. Some list responses use status: success instead

dataobject

The saved record, or the list of records